from math import sin
from math import cos

def f(x):
    return sin(x**2) * cos(x**(1/2.))

def integrate_f(a,b,N):
    s = 0.0
    dx = (float(b)-a)/N
    for i in range(N):
        s += f(a+i*dx)
    return s * dx

